Bug 163687 - [patch] net/nss_ldap: Fix build if not using use.perl.
Summary: [patch] net/nss_ldap: Fix build if not using use.perl.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-28 23:20 UTC by Mel Flynn
Modified: 2012-01-11 15:44 UTC (History)
1 user (show)

See Also:


Attachments
net::nss_ldap::Makefile (461 bytes, text/plain)
2011-12-28 23:20 UTC, Mel Flynn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mel Flynn 2011-12-28 23:20:09 UTC
When perl is installed without symlinks in /usr, build fails.

How-To-Repeat: sudo rm -f /usr/bin/perl && make -C /usr/ports/net/nss_ldap \
	-DWITHOUT_USE_PERL build
Comment 1 Edwin Groothuis freebsd_committer 2011-12-28 23:20:18 UTC
Maintainer of net/nss_ldap,

Please note that PR ports/163687 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163687

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-28 23:20:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-01-06 12:04:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2012-01-11 15:31:47 UTC
rm          2012-01-11 15:31:37 UTC

  FreeBSD ports repository

  Modified files:
    net/nss_ldap         Makefile 
  Log:
  - fix build when perl built with USE_PERL set to off (no symlink in /usr/bin)
  
  PR:             163687
  Submitted by:   Mel Flynn <mel at datakitty.lan.rachie.is-a-geek dot net>
  Approved by:    maintainer (timeout, 2 weeks)
  
  Revision  Changes    Path
  1.43      +2 -0      ports/net/nss_ldap/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-01-11 15:44:34 UTC
State Changed
From-To: feedback->closed

Committed, thank you!